> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/product-listings/put-methods/update-product-listings/request.md).

# Request and Response

## Updates attributes of the product listings (A.K.A. publications)

<mark style="color:orange;">`PUT`</mark> `https://api.alephcrm.com/v2/productlistings`

#### Query Parameters

| Name                                                | Type    | Description                                                                  |
| --------------------------------------------------- | ------- | ---------------------------------------------------------------------------- |
| API\_KEY<mark style="color:red;">\*</mark>          | String  | (default=none)                                                               |
| accountId <mark style="color:red;">\*</mark>        | Integer | (default=none)                                                               |
| Product listings <mark style="color:red;">\*</mark> |         | [Broken mention](broken://pages/R5YxUlb6HYnwOaX8Wl3G#productlistingdiscount) |

{% tabs %}
{% tab title="200: OK Array of ProductListening" %}

```
{
  "Quantities": {
    "Ok": 0,
    "Error": 0,
    "Warning": 0,
    "Info": 0,
    "Total": 0
  },
  "Items": [
    {
      "ItemNumber": 0,
      "ValidationLevel": {
        "Id": 0,
        "Name": "string"
      },
      "KeyField": "string",
      "KeyValue": "string",
      "Messages": [
        {
          "Level": {
            "Id": 0,
            "Name": "string"
          },
          "Code": 0,
          "Message": "string",
          "ValidatedValue": "string"
        }
      ]
    }
  ]
}
```

{% endtab %}

{% tab title="304: Not Modified " %}

```
{
  "Quantities": {
    "Ok": 0,
    "Error": 0,
    "Warning": 0,
    "Info": 0,
    "Total": 0
  },
  "Items": [
    {
      "ItemNumber": 0,
      "ValidationLevel": {
        "Id": 0,
        "Name": "string"
      },
      "KeyField": "string",
      "KeyValue": "string",
      "Messages": [
        {
          "Level": {
            "Id": 0,
            "Name": "string"
          },
          "Code": 0,
          "Message": "string",
          "ValidatedValue": "string"
        }
      ]
    }
  ]
}
```

{% endtab %}

{% tab title="400: Bad Request {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="401: Unauthorized {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="406: Not Acceptable {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="412: Precondition Failed {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error string" %}

{% endtab %}
{% endtabs %}

## Parameters details

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the orders you are trying to get.

### Product listings

The list of product listings needed to change.\
This method will return the list of each product listing ID with its result status (200 OK, 4XX Error with details).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/product-listings/put-methods/update-product-listings/request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
